/*
	File:		MathComponentCommon.h

	Contains:	Math component routines (also used by MoMath component).

	Written by:	Gary Woodcock

	Copyright:	 1992 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

*/

//-----------------------------------------------------------------------
// Includes

#ifndef _MATHCOMPONENTCOMMON_
#define	_MATHCOMPONENTCOMMON_

#include <QuickTimeComponents.h>

//-----------------------------------------------------------------------
// Prototypes

pascal	ComponentResult	_MathOpen		(Handle					storage,
										 ComponentInstance		self);

pascal	ComponentResult	_MathClose		(Handle					storage,
										 ComponentInstance		self);

pascal	ComponentResult	_MathCanDo		(short					selector);

pascal	ComponentResult	_MathVersion	(void);

pascal	ComponentResult	_MathTarget		(Handle					storage,
										 ComponentInstance		capturingComponent);
									
pascal	ComponentResult	_MathDoDivide	(short					numerator,
										 short					denominator,
										 short					*quotient);
										 
pascal	ComponentResult	_MathDoMultiply	(short					firstNum,
										 short					secondNum,
										 short					*multiplicationResult);

#endif _MATHCOMPONENTCOMMON_
		 
//-----------------------------------------------------------------------
